﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Configuration;

namespace AuthLiteTokenProfileManager.Code.Helpers
{
    public class SettingsHelper
    {
        public static bool ShouldBootstrap
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.BOOTSTRAP_SETTING] == "true";
            }
        }
        public static ushort OathInterval
        {
            get
            {
                try
                {
                    return ushort.Parse(WebConfigurationManager.AppSettings[Constants.Constants.OATHINTERVAL_SETTING]);
                }
                catch (Exception)
                {
                    return 30;
                }
            }
        }
        public static string OathDescriptionFormat
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.OATH_DESCRIPTION_FORMAT];
            }
        }
        public static string OathIssuerFormat
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.OATH_ISSUER_FORMAT];
            }
        }
        public static bool UserPinEnabled
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.USERPIN_ENABLED] == "true";
            }
        }
        public static string PermittedGroupSid
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.PERMITTED_GROUP_SETTING];
            }
        }
        public static string AfterBootstrapGoto
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.AFTER_BOOTSTRAP_GOTO];
            }
        }
        public static bool SanityCheckS4UCache
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.SANITY_CHECK_S4UCACHE].ToString() == "true";
            }
        }
        public static bool AlwaysUse1FLogons
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.ALWAYS_USE_1F_LOGONS] == "true";
            }
        }
        public static bool ProvisionAsUser
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.PROVISION_AS_USER] != "false";
            }
        }
        public static bool DetectByTokens
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.DETECT_BY_TOKENS] == "true";
            }
        }
        public static string OperationsClassName
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.OPERATIONS_CLASS_NAME];
            }
        }    
        public static string IdentityHelperClassName
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.IDENTITY_HELPER_CLASS_NAME];
            }
        }    
        public static bool FreeDomainSelection
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.FREE_DOMAIN_SELECTION] == "true";
            }
        }
        public static string OathAlgorithm
        {
            get
            {
                return WebConfigurationManager.AppSettings[Constants.Constants.OATH_ALGORITHM];
            }
        }    

    }
}