﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using AuthLiteTokenProfileManager.Code.Constants;
using System.Web.Configuration;
using System.Text.RegularExpressions;
using System.ComponentModel.DataAnnotations;
using Collective.Util;

namespace AuthLiteTokenProfileManager.Code.Helpers
{
    public class ValidationHelper
    {
        public static ValidationResult ValidateUserPin(string pin)
        {
            if (pin == null) pin = string.Empty;
            string regex = WebConfigurationManager.AppSettings[Constants.Constants.USERPIN_REGEX];
            if(regex != null && regex != string.Empty && !Regex.IsMatch(pin, regex))
            {
                return new ValidationResult(WebConfigurationManager.AppSettings[Constants.Constants.USERPIN_MESSAGE]);//);
            }
            return null;
        }
        public static ValidationResult ValidateYubiKey(string yubikey)
        {
            if(!AuthUtil.IsModHex(yubikey))
            {
                return new ValidationResult("The YubiKey Passcode field should contain characters typed in by your YubiKey. If your key is not entering characters correctly, please check with your administrator.");
            }
            return null;
        }
    }
}