﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Optimization;
using System.Web.Routing;
using AuthLiteTokenProfileManager.Code.Helpers;
using Collective.Configuration;
using TPMCommon;

namespace AuthLiteTokenProfileManager
{
	public class MvcApplication : System.Web.HttpApplication
	{
		protected void Application_Start()
		{
            log4net.Config.XmlConfigurator.Configure(new FileInfo(Server.MapPath("~/log4net.config")));
            
            // dependency injection so IdentityHelper (shared) doesn't need to know about SettingsHelper, which only exists in *this* project
            var config = new DictionaryConfiguration();
            config[IdentityHelper.IdentityHelperClassName] = SettingsHelper.IdentityHelperClassName;
            config[IdentityHelper.PermittedGroupSid] = SettingsHelper.PermittedGroupSid;
            IdentityHelper.Configuration = config; // when someone first does IdentityHelper.Instance, this will be used

			AreaRegistration.RegisterAllAreas();
			FilterConfig.RegisterGlobalFilters(GlobalFilters.Filters);
			RouteConfig.RegisterRoutes(RouteTable.Routes);
			BundleConfig.RegisterBundles(BundleTable.Bundles);
		}
	}
}
