﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using AuthLiteTokenProfileManager.Code.Helpers;

namespace AuthLiteTokenProfileManager.Models
{
    public class PinFormModel : IValidatableObject
    {
        [Display(Name="Confirm PIN")]
        [Compare("Pin", ErrorMessage = "PINs must match.")]
        [Required(ErrorMessage = "PIN confirmation is required.")]
        [PasswordPropertyText(true)]
        public string PinConfirm { get; set; }

        [DisplayName("Select a User PIN")]
        [Required(ErrorMessage = "PIN is required.")]
        [PasswordPropertyText(true)]
        public string Pin { get; set; }

        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            yield return ValidationHelper.ValidateUserPin(this.Pin);
        }
    }
}