﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using AuthLiteTokenProfileManager.Code.Helpers;

namespace AuthLiteTokenProfileManager.Models
{
    public class YubiKeyFormModel : IValidatableObject
    {
        [DisplayName("YubiKey Passcode")]
        [Required(ErrorMessage = "YubiKey Passcode is required.")]
        [RegularExpression(@"^[cbdefghijklnrtuvjxe.uidchtnbpygk]+$", ErrorMessage = "The YubiKey Passcode field should contain characters typed in by your YubiKey.<br><br>If your key is not entering characters correctly, please check with your administrator.")]
        public string YubikeyPasscode { get; set; }
        public IEnumerable<ValidationResult> Validate(ValidationContext validationContext)
        {
            yield return ValidationHelper.ValidateYubiKey(this.YubikeyPasscode);
        }
    }
}